Search the Community
Showing results for tags 'map3d'.
-
AutoCAD MAP3D import shape files with OD to fill attributed blocks
Sambuddy posted a topic in AutoLISP, Visual LISP & DCL
Not quite sure how to tackle this, because my options on the -mapimport is very limitted and did not completely understand ADE_ function library. When I use the dialouge box of mapimport, I do get options of "creating object data" in addition to "creating points as blocks" with the option of "getting attribute values from field". So I simply create a block and define attributes with the TAG to match the the "Attribute Table" from QGIS and everything works as it should - that is I now have blocks that show the values for each block because I selected "Get attribute values from field" on Mapimport dialouge box. Can it be possible to have a routine that automate this process to 0) select a folder that contains multiple shape files and not selected one by one 1) import the map (lines and points) 2) lines and maps to be imported with their respected Object data 3) dynamic blocks be inserted that contain attributes to show the OD values at each imported points 4) visibilities of the blocks change with values/ attributes (example: if value is Hydro then visibility A and if Telecom then visibility B)? so here on this code, I am selecting a folder and then reading the content (shape files), but then I cannot go further because -mapimport did not give me all the options needed. also Block_1 and Block_2 are just examples of a block/ currently with no visibility for the conditions stated above. I do not work with Map3D all that often so help is appreciated! ( (lambda ( / path);lstall lstseluser (defun BrowseForFolder ( / sh folder folderobject result) (vl-load-com) (setq sh (vla-getInterfaceObject (vlax-get-acad-object) "Shell.Application")) (setq folder (vlax-invoke-method sh 'BrowseForFolder 0 "" 0)) (vlax-release-object sh) (if folder (progn (setq folderobject (vlax-get-property folder 'Self)) (setq result (vlax-get-property FolderObject 'Path)) (vlax-release-object folder) (vlax-release-object FolderObject) result ) ) ) (if (null (setq path (BrowseForFolder))) ;; just in case you didnt specify a path nil (setq lstall (vl-directory-files path "*.shp" 1))) ;---------------------------------------- ;; msg - [str] Dialog label ;; lst - [lst] List of strings to display ;; bit - [int] 1=allow multiple; 2=return indexes ;; Returns: [lst] List of selected items/indexes, else nil (defun LM:listbox ( msg lst bit / dch des tmp rtn ) (cond ( (not (and (setq tmp (vl-filename-mktemp nil nil ".dcl")) (setq des (open tmp "w")) (write-line (strcat "listbox:dialog{label=\"" msg "\";spacer;:list_box{key=\"list\";multiple_select=" (if (= 1 (logand 1 bit)) "true" "false") ";width=50;height=15;}spacer;ok_cancel;}" ) des ) (not (close des)) (< 0 (setq dch (load_dialog tmp))) (new_dialog "listbox" dch) ) ) (prompt "\nError Loading List Box Dialog.") ) ( t (start_list "list") (foreach itm lst (add_list itm)) (end_list) (setq rtn (set_tile "list" "0")) (action_tile "list" "(setq rtn $value)") (setq rtn (if (= 1 (start_dialog)) (if (= 2 (logand 2 bit)) (read (strcat "(" rtn ")")) (mapcar '(lambda ( x ) (nth x lst)) (read (strcat "(" rtn ")"))) ) ) ) ) ) (if (< 0 dch) (unload_dialog dch) ) (if (and tmp (setq tmp (findfile tmp))) (vl-file-delete tmp) ) rtn ) (if (not (= lstall nil)) (setq lstseluser (LM:listbox "Select one or more shape files (Ctrl or Shift):" lstall 1)) ) ;---------------------------------------- (if (not (= lstall nil)) (progn (alert (vl-prin1-to-string lstseluser)) ) ) ) ) -
Hi there, I've found many instructions for using Civil3D to place alignment station markers, but I was wondering if there is similar functionality in Map3D or a LISP routine that accomplishes something similar?
-
Insert Block on multiple text object insertion points.
asb116 posted a topic in AutoLISP, Visual LISP & DCL
So heres the deal.... I work for a big company and we have this multi-million dollar project I'm currently working with. My situation is that I have survey data imported into my drawing, these points come in as text objects with their insertion point being the co-ordinates of the respective point, this is done using a custom command. I also have a directory of blocks that are used to represent various different survey related symbols. Right now the process I must go through to get the symbols onto their proper point is to manually search out each point and inset the block ref manually onto the point. Doing this for thousands of points will be far too time consuming. Im trying to find a LISP routine that will allow me to pick which block I wish to insert, then allow me to specify the numerical point range or individual points to insert that block on. Attached is a screencap of the text points and the blocks shown beside them. Essentially I have a whole lot of points and a whole lot of symbols to put on them, but different points and point ranges need different symbols. Any insight would be great, I'd attempt to write a routine myself, but time constraints prevent me from working on it with th deadlines we have in place. -
Does anyone know how to create a lisp that will export a csv file with object data and coordinates? Example; od field 1, od field 2,etc... x1,y1,z1,x2,y2,z2,etc.... Ideally it should be able to report all object data fields irregardless of the number. And it should report all xyz coordinates of polylines. I would also need a lisp to import csv files from the above format. If your curious this is all in an attempt to solve the 4 coordinate limits that map3d puts on exporting shape files... If someone has an alternate solution to that, I'm all ears! Dalivore
-
Oracle FDO Provider in Autocad MAP 3D 2012 not reflecting database structure changes
elma87 posted a topic in Map 3D
Hello, We are having problems with FDO Oracle Provider. Map3D 2012 id not able to see changes made on Oracle table (via SQL Developer). For example, when we delete, update or add a column in table, MAP 3D throws an error like this (Note that SIFRA1 does not exist in this table): Also, tables that are deleted in oracle are still visible in fdo oracle provider. For Example: Table MBUS_RHI1 does not exist in our database but it is still listed How can we fix this? We tried updating MAP 3D to SP1 and SP2 but problem persists. Where does MAP 3D store information about database structure? Can someone please help us! We are desperate! Thanks in advance! -
LISP for changing block references to circles
jmsimpson posted a topic in AutoLISP, Visual LISP & DCL
I have over a thousand block reference points that I have imported into AutoCAD. I would like to convert these block reference "crosshairs" into circles. I want the diameter of these circles to correspond with the elevation numbers from the data set. If you're wondering why I want this, I am trying to make a map of trees in a plot and the diameter is one of the crucial bits of information I want displayed for every tree. Inputing the data in PENZD style limits the amount of information displayed and, since I only need a 2D map, the elevation represents the diameters. I have a lisp code for converting points to circles but I haven't found a way to convert block reference data to circles. If anyone could write that code or instruct me on how this can be accomplished, I would greatly appreciate it. Thanks!- 15 replies
-
- lisp
- autocad 2011
-
(and 1 more)
Tagged with:
-
I have an excel file with several thousand lines of data and they all have UTM coordinates attached to them. I would like to have the data mapped out as points once imported. Is there a way to import this data into AutoCAD without going through ODBC? I have also imported the data into Access so retrieving the data from there is possible as well.
- 10 replies
-
- autocad 2011
- arcgis
-
(and 1 more)
Tagged with: